# TODO
# - new unpackaged files:
#   /usr/bin/sieve-filter
#%{_mandir}/man1/sieve-filter.1.gz
# - fix mess with dovecot libraries (symlinks in package that shouldn't be here)

%define	dovecot_series		2.2
%define	pigeonhole_version	0.4.16
Summary:	Sieve plugin for dovecot
Summary(pl.UTF-8):	Wtyczka Sieve i Managesieve dla dovecota
Name:		dovecot-pigeonhole
Version:	%{dovecot_series}_%{pigeonhole_version}
Release:	1
License:	LGPL
Group:		Daemons
Source0:	http://pigeonhole.dovecot.org/releases/%{dovecot_series}/dovecot-%{dovecot_series}-pigeonhole-%{pigeonhole_version}.tar.gz
# Source0-md5:	e03eed707b39cffc4b2a82867de45d9c
URL:		http://www.dovecot.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	dovecot-devel >= 1:2.2.21
BuildRequires:	flex
BuildRequires:	libtool
%requires_eq_to	dovecot dovecot-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define skip_post_check_so	libdovecot-sieve.so.0.0.0

%description
Dovecot Pigeonhole is implementation of Sieve for Dovecot v2.x

%description -l pl.UTF-8
Dovecot Pigeonhole jest implementacją Sieve dla Dovecot v2.x

%package devel
Summary:	Libraries and headers for %{name}
Summary(pl.UTF-8):	Pliki nagłówkowe dla %{name}
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains development files for linking against %{name}.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki rozwoju łączenia %{name}.

%package -n dovecot-managesieve
Summary:	Manage Sieve daemon for dovecot
Summary(pl.UTF-8):	Manage Sieve demon dla dovecot
Group:		Daemons

%description -n dovecot-managesieve
%description -n dovecot-managesieve -l pl.UTF-8
Tn pakiet zawiera demona Manage Sieve dla dovecot.

%prep
%setup -q -n dovecot-%{dovecot_series}-pigeonhole-%{pigeonhole_version}

%build
%configure \
	--with-dovecot=%{_libdir}/dovecot \
	--with-managesieve=yes \
	--enable-header-install=yes \
	--prefix=%{_libdir}/dovecot

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT%{_libdir}/dovecot/ -name '*.la' | xargs rm -f
find $RPM_BUILD_ROOT%{_libdir}/dovecot/ -name '*.a' | xargs rm -f

# ??? - why are these in this package?
ln -s dovecot/libdovecot-login.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libdovecot-login.so.0
ln -s dovecot/libdovecot.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libdovecot.so.0

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/example-config/conf.d/90-sieve.conf
%doc doc/extensions
%attr(755,root,root) %{_bindir}/sieve-filter
%attr(755,root,root) %{_bindir}/sieve-test
%attr(755,root,root) %{_bindir}/sievec
%attr(755,root,root) %{_bindir}/sieve-dump
%attr(755,root,root) %{_libdir}/dovecot/plugins/lib90_sieve_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/plugins/lib95_imap_sieve_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/libdovecot-sieve.so*
%attr(755,root,root) %{_libdir}/dovecot/plugins/doveadm/lib10_doveadm_sieve_plugin.so
%dir %{_libdir}/dovecot/plugins/sieve
%dir %{_libdir}/dovecot/plugins/settings
%attr(755,root,root) %{_libdir}/dovecot/plugins/settings/libpigeonhole_settings.so
%attr(755,root,root) %{_libdir}/dovecot/plugins/sieve/lib90_sieve_extprograms_plugin.so
%attr(755,root,root) %{_libdir}/dovecot/plugins/sieve/lib90_sieve_imapsieve_plugin.so

# ??? - why is this in this package?
%attr(755,root,root) %{_libdir}/libdovecot.so.0

%{_mandir}/man1/doveadm-sieve.1*
%{_mandir}/man1/sieve-test.1*
%{_mandir}/man1/sievec.1*
%{_mandir}/man1/sieved.1*
%{_mandir}/man1/sieve-filter.1*
%{_mandir}/man1/sieve-dump.1*
%{_mandir}/man7/pigeonhole.7*

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/dovecot/sieve
%{_includedir}/dovecot/sieve/*.h

%files -n dovecot-managesieve
%defattr(644,root,root,755)
%doc doc/example-config/conf.d/20-managesieve.conf
%attr(755,root,root) %{_libexecdir}/dovecot/managesieve
%attr(755,root,root) %{_libexecdir}/dovecot/managesieve-login

%attr(755,root,root) %{_libdir}/libdovecot-login.so.0

%dir %{_libdir}/dovecot/plugins/settings/
%{_libdir}/dovecot/plugins/settings/libmanagesieve_login_settings.so
%{_libdir}/dovecot/plugins/settings/libmanagesieve_settings.so
%changelog
* Fri Dec 30 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/dovecot-pigeonhole.git;a=log;h=master

* Fri Dec 30 2016 Bartosz Świątek <shadzik@tld-linux.org> 7342301
- 0.4.16

* Fri Oct 28 2016 Marcin Krol <hawk@tld-linux.org> 2f303aa
- release 2

* Tue Jul 26 2016 Marcin Krol <hawk@tld-linux.org> 90866db
- updated to 0.4.15

* Wed Apr 13 2016 Marcin Krol <hawk@tld-linux.org> f12d4f0
- drop config patch, not needed anymore and breaks current builds

* Wed Apr 13 2016 Marcin Krol <hawk@tld-linux.org> 3c9c69c
- updated to 0.4.13

* Thu Mar 17 2016 Marcin Krol <hawk@tld-linux.org> a43add1
- updated to 0.4.12

* Tue Jan 12 2016 Bartosz Świątek <shadzik@tld-linux.org> a100730
- Pigeonhole 0.4.11

* Tue Oct 06 2015 Marcin Krol <hawk@tld-linux.org> cd8581c
- updated to 0.4.9

* Thu Aug 13 2015 Bartosz Świątek <shadzik@tld-linux.org> 6a22a78
- rel 3

* Sat Jul 18 2015 Marcin Krol <hawk@tld-linux.org> cba0607
- fix doc, files

* Sat Jul 18 2015 Marcin Krol <hawk@tld-linux.org> 8590011
- updated to 0.4.8

* Tue Mar 24 2015 Bartosz Świątek <shadzik@tld-linux.org> da1f463
- 0.4.7

* Sat Nov 15 2014 Bartosz Świątek <shadzik@tld-linux.org> 69891c4
- 0.4.6

* Tue Oct 21 2014 Marcin Krol <hawk@tld-linux.org> 6791f3e
- release 2

* Mon May 12 2014 Bartosz Świątek <shadzik@tld-linux.org> 67e127e
- 0.4.3

* Fri Feb 14 2014 Bartosz Świątek <shadzik@tld-linux.org> 6e4e378
- rel 5

* Fri Feb 14 2014 Bartosz Świątek <shadzik@tld-linux.org> eaa58b0
- rel 4

* Fri Dec 20 2013 Bartosz Świątek <shadzik@tld-linux.org> 87be5a2
- rel 3 for rebuild with dovecot 2.2.10

* Sat Nov 09 2013 Bartosz Świątek <shadzik@tld-linux.org> b3552c1
- rel 2, for rebuild with dovecot 2.2.7

* Thu Oct 10 2013 Bartosz Świątek <shadzik@tld-linux.org> e0e32b9
- 0.4.2

